* {
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
  background: hsl(270deg, 20%, 10%);
  overflow: hidden;
}

body {
  padding: 4vh 0 6vh 0;
  height: 100vh;
  width: 100vw;
  font: bold 24px 'Scope One';
  text-align: center;
}

.f {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-around;
}

.star {
  border: hsl(180deg, 100%, 100%) .3vh solid;
  margin: auto;
  transform: scale(0.5);
  width: 5vh;
  height: 25vh;
  transform-origin: 50% 50%;
  font-size: 72pt;
  background: hsl(30deg, 800%, 60%);
  animation: rotation 3s ease-in-out infinite;
  position: relative;
}

.a {
  animation-delay: 0.25s
}

.b {
  animation-delay: 0.5s
}

.c {
  animation-delay: 0.75s
}

.d {
  animation-delay: 1s
}

.e {
  animation-delay: 1.25s
}

.f {
  animation-delay: 1.5s
}

.g {
  animation-delay: 1.75s
}

.h {
  animation-delay: 2s
}

.i {
  animation-delay: 2.25s
}

.j {
  animation-delay: 2.5s
}

.k {
  animation-delay: 2.75s
}

.l {
  animation-delay: 3s
}

@keyframes rotation {
  50% {
    width: 3vh;
    height: 10vh;
  }

  75% {
    border-width: 1vh;
    background: hsl(180deg, 100%, 10%);
    transform: scale(1) rotate(360deg);
    width: 30vw;
    height: 5vh;
  }

  95% {
    background: hsl(270deg, 20%, 10%);
  }

  100% {
    border-width: .1vh;
    background: hsl(30deg, 800%, 60%);
    transform: scale(0.5) rotate(360deg);
  }
}